# Fiber::suspend

(PHP 8 >= 8.1.0)

Fiber::suspend — Suspends execution of the current fiber

### Descripción

public static Fiber::suspend(mixed `$value` = `null`): mixed

Suspends execution of the current fiber. The value provided to this method will be returned from the call to Fiber::start(), Fiber::resume(), or Fiber::throw() that switched execution into the current fiber.

When the fiber is resumed, this method returns the value provided to Fiber::resume(). If the fiber is resumed using Fiber::throw(), the exception given to that method will be thrown from the call to this method.

If this method is called from outside a fiber, a FiberError will be thrown.

### Parámetros

`value`

  The value to return from the call to Fiber::start(), Fiber::resume(), or Fiber::throw() that switched execution into the current fiber.

### Valores devueltos

The value provided to Fiber::resume().